Skip to main content
POST
/
associations
Create Association
curl --request POST \
  --url https://services.leadconnectorhq.com/associations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "locationId": "string",
  "key": "student_teacher",
  "firstObjectLabel": "student",
  "firstObjectKey": "custom_objects.children",
  "secondObjectLabel": "Teacher",
  "secondObjectKey": "contact"
}
'
{
  "locationId": "string",
  "id": "ve9EPM428h8vShlRW1KT",
  "key": "student",
  "firstObjectLabel": "student",
  "firstObjectKey": "custom_objects.children",
  "secondObjectLabel": "Teacher",
  "secondObjectKey": "contact",
  "associationType": "USER_DEFINED"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
locationId
string
required
Example:

"string"

key
string
required

Association's Unique key

Example:

"student_teacher"

firstObjectLabel
string
required

First Objects Association Label (custom_objects.children)

Example:

"student"

firstObjectKey
string
required

First Objects Key

Example:

"custom_objects.children"

secondObjectLabel
string
required

Second Object Association Label (contact)

Example:

"Teacher"

secondObjectKey
string
required

Second Objects Key

Example:

"contact"

Response

Successful response

locationId
string
required
Example:

"string"

id
string
required
Example:

"ve9EPM428h8vShlRW1KT"

key
string
required

First Objects Association Label (custom_objects.children)

Example:

"student"

firstObjectLabel
string
required

First Objects Association Label (custom_objects.children)

Example:

"student"

firstObjectKey
string
required

First Objects Key

Example:

"custom_objects.children"

secondObjectLabel
string
required

Second Object Association Label (contact)

Example:

"Teacher"

secondObjectKey
string
required

Second Objects Key

Example:

"contact"

associationType
string
required

Association Type can be USER_DEFINED or SYSTEM_DEFINED

Example:

"USER_DEFINED"

Last modified on March 4, 2026